// InfoBrowser API
// (c) Software-Algorithms.com
// use this file if you want InfoBrowser to notify your application about what it's doing (for example when it finds a new version)
// example of a typical command line to use notification (assuming your app window handle is 1234):   InfoBrowser.exe /NOTIFY:1234
//////////////////////////////////////////////////////////////////////

#ifndef _INFOBROWSERAPI_H_INCLUDED_
#define _INFOBROWSERAPI_H_INCLUDED_

#include <windows.h>

#define INFOBROWSER_API_VERSION		1004


//Window message sent to your application window to notify you of things
//to enable this you need to proved the command line parameter /NOTIFY:xxxxx when you run InfoBrowser.exe (xxxx is your HWND window handle that wil be notified)
#define WM_INFOBROWSER		WM_APP+7

//type of event is on the WPARAM of the above message, and extra info (if any) for that event is on the LPARAM
#define	WPARAM_STARTED					300			//always sent when InfoBrowser starts, no matter what. The window handle of InfoBrowser is on lParam (so you can use it to position or resize the window using SetWindowPos() function)
#define	WPARAM_EXITED						390			//always sent when InfoBrowser exists, no matter what


//this is what InfoBrowser calls when it wants to notify your application
#define BINotify(hWnd, wParam)	if (hWnd) PostMessage(hWnd, WM_INFOBROWSER, (WPARAM)wParam, 0)
#define BINotify2(hWnd, wParam, lParam)	if (hWnd) PostMessage(hWnd, WM_INFOBROWSER, (WPARAM)wParam, (LPARAM)lParam)

#endif // _INFOBROWSERAPI_H_INCLUDED_
